Bug 193254 - [patch] remove unused debug message from uma_startup()
Summary: [patch] remove unused debug message from uma_startup()
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: CURRENT
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-09-02 13:10 UTC by luke.tw
Modified: 2015-03-07 15:30 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description luke.tw 2014-09-02 13:10:31 UTC
The debug message should have been removed since r145686. 

Index: sys/vm/uma_core.c
===================================================================
--- sys/vm/uma_core.c   (revision 270962)
+++ sys/vm/uma_core.c   (working copy)
@@ -1833,9 +1833,6 @@ uma_startup(void *bootmem, int boot_pages)
        zone_ctor(zones, sizeof(struct uma_zone), &args, M_WAITOK);

#ifdef UMA_DEBUG
-       printf("Initializing pcpu cache locks.\n");
-#endif
-#ifdef UMA_DEBUG
        printf("Creating slab and hash zones.\n");
#endif
Comment 1 commit-hook freebsd_committer 2014-12-31 17:45:35 UTC
A commit references this bug:

Author: alc
Date: Wed Dec 31 17:44:58 UTC 2014
New revision: 276474
URL: https://svnweb.freebsd.org/changeset/base/276474

Log:
  Eliminate a stale debug message.  The per-CPU cache locks were replaced
  by critical sections in r145686.

  PR:		193254
  Submitted by:	luke.tw@gmail.com
  MFC after:	3 days

Changes:
  head/sys/vm/uma_core.c
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2015-03-07 15:30:42 UTC
Committed as 276474.